<template>
    <div class="card publicacion-destacada" v-if="imageSrc">
        <img :src="imageSrc" class="card-img publicacion-destacada-img imagen-zoom" alt="...">
        <div class="card-img-overlay pb-0 pt-1 txt-shadow text-white">
            <h5 class="card-title text-start">Publicacion destacada {{ index }}</h5>
            <h6 class="card-subtitle mb-2 text-start">{{publicacion.fechaPublicacion}}</h6>
            <p class="card-text text-start">{{ publicacion.textoDeLaImagen }}</p>
        </div>
    </div>
</template>

<script>
import { buscarImagenPubli } from '@/Services/muro/MuroService'
export default {
    data() {
        return {
            imageSrc: [],
        }
    },
    props:{
        publicacion:{},
        index:{}
    },
    async mounted(){
        this.imageSrc=await buscarImagenPubli(this.publicacion.imagenes[0]) 
    }

}
</script>

<style scoped>
.txt-shadow{
    text-shadow: 0 0 2px black, 0 0 5px black;
}
.publicacion-destacada{
    height: 120px;
    overflow: hidden;
}
.publicacion-destacada-img{
    height: 100%;
    object-fit: cover;
}
</style>